Summary: The RIPE version of the whois client program + other tools
Name: ripe-whois-tools
Version: 2.4
Release: 3
License: BSD
Group: Networking/Utilities
Source: ftp://ftp.ripe.net/tools/%{name}-%{version}.tar.gz
Patch0: ripe-whois-tools.diff
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
This is a set of C programs (perl versions of the same programs are
available in the RIPE database distribution) to be used in conjunction
with the RIPE database.

%changelog
* Wed Mar 13 2002 Ian Macdonald <ian@caliban.org>
- change Copyright tag to License
- use macros instead of hard coded paths in %install and %files

* Mon Feb  1 1999 Ian Macdonald <ian@caliban.org>
- upgraded to 2.4
- updated patch
- merged ripe-whois and ripe-whois-tools into a single package
- renamed whois to ripe-whois to distinguish it from the standard whois
- minor spec file improvements (added macro usage, etc.)

* Tue Jun 23 1998 Peter Soos <sp@osb.hu>
- Using %attr
- Corrected the spec file for rpm 2.5

* Tue Apr 21 1998 Peter Soos <sp@osb.hu>
- Corrected dependencies

* Mon Apr 20 1998 Peter Soos <sp@osb.hu>
- Moved to 2.2

* Tue Dec 12 1997 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.0
- Now we use BuildRoot

%prep
%setup -c %{name}-%{version}
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make "DESTDIR=$RPM_BUILD_ROOT%{_bindir}" \
     "MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1" \
     install
mv $RPM_BUILD_ROOT%{_bindir}/whois $RPM_BUILD_ROOT%{_bindir}/ripe-whois
mv $RPM_BUILD_ROOT%{_mandir}/man1/whois.1 \
   $RPM_BUILD_ROOT%{_mandir}/man1/ripe-whois.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc README
%attr(-, root, root) %{_bindir}/ripe-whois
%attr(-, root, root) %{_mandir}/man1/ripe-whois.1*
%attr(-, root, root) %{_bindir}/cryptpw 
%attr(-, root, root) %{_bindir}/networkupdate
